## NAS Get LTE Cphy CA Info

NAS Get LTE Cphy CA Info

## Functions

QmiMessageNasGetLteCphyCaInfoOutput * | qmi_message_nas_get_lte_cphy_ca_info_output_ref ()
void | qmi_message_nas_get_lte_cphy_ca_info_output_unref ()
gboolean | qmi_message_nas_get_lte_cphy_ca_info_output_get_result ()
gboolean | qmi_message_nas_get_lte_cphy_ca_info_output_get_dl_bandwidth ()
gboolean | qmi_message_nas_get_lte_cphy_ca_info_output_get_phy_ca_agg_scell_info ()
gboolean | qmi_message_nas_get_lte_cphy_ca_info_output_get_phy_ca_agg_pcell_info ()
gboolean | qmi_message_nas_get_lte_cphy_ca_info_output_get_scell_index ()
void | qmi_client_nas_get_lte_cphy_ca_info ()
QmiMessageNasGetLteCphyCaInfoOutput * | qmi_client_nas_get_lte_cphy_ca_info_finish ()

## Types and Values

| QmiMessageNasGetLteCphyCaInfoOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageNasGetLteCphyCaInfoOutput

## Description

## Functions

### qmi_message_nas_get_lte_cphy_ca_info_output_ref ()

    QmiMessageNasGetLteCphyCaInfoOutput *
    qmi_message_nas_get_lte_cphy_ca_info_output_ref
                                   (QmiMessageNasGetLteCphyCaInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetLteCphyCaInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.16

### qmi_message_nas_get_lte_cphy_ca_info_output_unref ()

    void
    qmi_message_nas_get_lte_cphy_ca_info_output_unref
                                   (QmiMessageNasGetLteCphyCaInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetLteCphyCaInfoOutput. |

Since: 1.16

### qmi_message_nas_get_lte_cphy_ca_info_output_get_result ()

    gboolean
    qmi_message_nas_get_lte_cphy_ca_info_output_get_result
                                   (QmiMessageNasGetLteCphyCaInfoOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetLteCphyCaInfoOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.16

### qmi_message_nas_get_lte_cphy_ca_info_output_get_dl_bandwidth ()

    gboolean
    qmi_message_nas_get_lte_cphy_ca_info_output_get_dl_bandwidth
                                   (QmiMessageNasGetLteCphyCaInfoOutput *self,
                                    QmiNasDLBandwidth *value_dl_bandwidth,
                                    GError **error);

Get the 'DL Bandwidth' field from `self` .

#### Parameters

self | a QmiMessageNasGetLteCphyCaInfoOutput. |
value_dl_bandwidth | a placeholder for the output QmiNasDLBandwidth, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.16

### qmi_message_nas_get_lte_cphy_ca_info_output_get_phy_ca_agg_scell_info ()

    gboolean
    qmi_message_nas_get_lte_cphy_ca_info_output_get_phy_ca_agg_scell_info
                                   (QmiMessageNasGetLteCphyCaInfoOutput *self,
                                    guint16 *value_phy_ca_agg_scell_info_physical_cell_id,
                                    guint16 *value_phy_ca_agg_scell_info_rx_channel,
                                    QmiNasDLBandwidth *value_phy_ca_agg_scell_info_dl_bandwidth,
                                    QmiNasActiveBand *value_phy_ca_agg_scell_info_lte_band,
                                    QmiNasScellState *value_phy_ca_agg_scell_info_state,
                                    GError **error);

Get the 'Phy CA Agg SCell Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetLteCphyCaInfoOutput. |
value_phy_ca_agg_scell_info_physical_cell_id | a placeholder for the output guint16, or `NULL` if not required. |
value_phy_ca_agg_scell_info_rx_channel | a placeholder for the output guint16, or `NULL` if not required. |
value_phy_ca_agg_scell_info_dl_bandwidth | a placeholder for the output QmiNasDLBandwidth, or `NULL` if not required. |
value_phy_ca_agg_scell_info_lte_band | a placeholder for the output QmiNasActiveBand, or `NULL` if not required. |
value_phy_ca_agg_scell_info_state | a placeholder for the output QmiNasScellState, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.16

### qmi_message_nas_get_lte_cphy_ca_info_output_get_phy_ca_agg_pcell_info ()

    gboolean
    qmi_message_nas_get_lte_cphy_ca_info_output_get_phy_ca_agg_pcell_info
                                   (QmiMessageNasGetLteCphyCaInfoOutput *self,
                                    guint16 *value_phy_ca_agg_pcell_info_physical_cell_id,
                                    guint16 *value_phy_ca_agg_pcell_info_rx_channel,
                                    QmiNasDLBandwidth *value_phy_ca_agg_pcell_info_dl_bandwidth,
                                    QmiNasActiveBand *value_phy_ca_agg_pcell_info_lte_band,
                                    GError **error);

Get the 'Phy CA Agg PCell Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetLteCphyCaInfoOutput. |
value_phy_ca_agg_pcell_info_physical_cell_id | a placeholder for the output guint16, or `NULL` if not required. |
value_phy_ca_agg_pcell_info_rx_channel | a placeholder for the output guint16, or `NULL` if not required. |
value_phy_ca_agg_pcell_info_dl_bandwidth | a placeholder for the output QmiNasDLBandwidth, or `NULL` if not required. |
value_phy_ca_agg_pcell_info_lte_band | a placeholder for the output QmiNasActiveBand, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.16

### qmi_message_nas_get_lte_cphy_ca_info_output_get_scell_index ()

    gboolean
    qmi_message_nas_get_lte_cphy_ca_info_output_get_scell_index
                                   (QmiMessageNasGetLteCphyCaInfoOutput *self,
                                    guint8 *value_scell_index,
                                    GError **error);

Get the 'SCell index' field from `self` .

#### Parameters

self | a QmiMessageNasGetLteCphyCaInfoOutput. |
value_scell_index | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.16

### qmi_client_nas_get_lte_cphy_ca_info ()

    void
    qmi_client_nas_get_lte_cphy_ca_info (QmiClientNas *self,
                                         gpointer unused,
                                         guint timeout,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously sends a Get LTE Cphy CA Info request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_lte_cphy_ca_info_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.16

### qmi_client_nas_get_lte_cphy_ca_info_finish ()

    QmiMessageNasGetLteCphyCaInfoOutput *
    qmi_client_nas_get_lte_cphy_ca_info_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_get_lte_cphy_ca_info()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_lte_cphy_ca_info()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetLteCphyCaInfoOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_lte_cphy_ca_info_output_unref()`.

Since: 1.16

## Types and Values

### QmiMessageNasGetLteCphyCaInfoOutput

    typedef struct _QmiMessageNasGetLteCphyCaInfoOutput QmiMessageNasGetLteCphyCaInfoOutput;

The QmiMessageNasGetLteCphyCaInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.16